package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLDataType;
import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLSetTimeZoneStatement extends SQLStatementImpl {
   protected SQLDataType type;
   protected SQLExpr timeZone;
   protected boolean local;
   protected boolean interval;

   public SQLSetTimeZoneStatement(DbType dbType) {
      this.dbType = dbType;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public SQLDataType getType() {
      return this.type;
   }

   public void setType(SQLDataType type) {
      this.type = type;
   }

   public SQLExpr getTimeZone() {
      return this.timeZone;
   }

   public void setTimeZone(SQLExpr timeZone) {
      this.timeZone = timeZone;
   }

   public boolean isLocal() {
      return this.local;
   }

   public void setLocal(boolean local) {
      this.local = local;
   }

   public boolean isInterval() {
      return this.interval;
   }

   public void setInterval(boolean interval) {
      this.interval = interval;
   }
}
